Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Default_Thread_Lane_Resources_Manager_Factory Class Reference

This class is a factory for managers of thread resources. More...

`#include <Default_Thread_Lane_Resources_Manager.h>`

Inheritance diagram for TAO_Default_Thread_Lane_Resources_Manager_Factory:

[legend]
Collaboration diagram for TAO_Default_Thread_Lane_Resources_Manager_Factory:

[legend]
List of all members.

## Public Methods
TAO_Thread_Lane_Resources_Manager * | create_thread_lane_resources_manager (TAO_ORB_Core &core)
| Factory method.

## Detailed Description

This class is a factory for managers of thread resources.

## Member Function Documentation

TAO_Thread_Lane_Resources_Manager * TAO_Default_Thread_Lane_Resources_Manager_Factory::create_thread_lane_resources_manager | ( | TAO_ORB_Core & | core | ) | `[virtual]`

| Factory method. Implements TAO_Thread_Lane_Resources_Manager_Factory.

The documentation for this class was generated from the following files:

- Default_Thread_Lane_Resources_Manager.h
- Default_Thread_Lane_Resources_Manager.cpp